<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/notes/expansionbookmenutabnotes.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dcd/expansionbookmenutabnotes_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenutabnotes.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dcd/expansionbookmenutabnotes_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuTabNotes.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d8/da4/class_expansion_book_menu_tab_notes.html">ExpansionBookMenuTabNotes</a>: <a class="code hl_class" href="../../dd/df2/class_expansion_book_menu_tab_base.html">ExpansionBookMenuTabBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a0caceaf49ec326c29bd5004e9bc5df41">   15</a></span>    ref <a class="code hl_class" href="../../d5/df1/class_expansion_book_menu_tab_notes_controller.html">ExpansionBookMenuTabNotesController</a> <a class="code hl_variable" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a0caceaf49ec326c29bd5004e9bc5df41">m_NotesTabController</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#afd661e227cabd05468786dc3f9afa03b">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#afd661e227cabd05468786dc3f9afa03b">ExpansionBookMenuTabNotes</a>(<a class="code hl_class" href="../../dc/de1/class_expansion_book_menu.html">ExpansionBookMenu</a> book_menu)</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../dd/df2/class_expansion_book_menu_tab_base.html#af262a87ec5c71aaf511222bcdfaebdaf">m_BookMenu</a> = book_menu;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a0caceaf49ec326c29bd5004e9bc5df41">m_NotesTabController</a>)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <a class="code hl_variable" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a0caceaf49ec326c29bd5004e9bc5df41">m_NotesTabController</a> = <a class="code hl_class" href="../../d5/df1/class_expansion_book_menu_tab_notes_controller.html">ExpansionBookMenuTabNotesController</a>.Cast(GetController());</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a1745568b31eef282f2a750617565f52b">SetView</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a9bed6b4b4ef5df1312644e07f9061047">   27</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a9bed6b4b4ef5df1312644e07f9061047">GetLayoutFile</a>() </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/tabs/notes/expansion_book_tab_notes.layout&quot;</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a06a5e8d8cbaec450004d53bc6847a6ba">   32</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a06a5e8d8cbaec450004d53bc6847a6ba">GetControllerType</a>() </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/df1/class_expansion_book_menu_tab_notes_controller.html">ExpansionBookMenuTabNotesController</a>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#aa83ee8136b3520423326ab4364a4e589">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#aa83ee8136b3520423326ab4364a4e589">GetTabIconName</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Book 2&quot;</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#aa3e4f5e93d8039116e221651b0811dfe">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#aa3e4f5e93d8039116e221651b0811dfe">GetTabName</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Personal Notes&quot;</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a8e610a0107222c7f10e7805f880efff9">   47</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a8e610a0107222c7f10e7805f880efff9">GetTabColor</a>()</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">return</span> ARGB(255,0,0,0);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae3457b90febfe56ad3b3a4f3a7f855a8">   52</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae3457b90febfe56ad3b3a4f3a7f855a8">CanShow</a>()</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae6dc2b29b2b665b5525ad14f67fd0b12">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae6dc2b29b2b665b5525ad14f67fd0b12">OnShow</a>()</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        super.OnShow();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a827024c229b8262abb96d447c0fc1b97">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a827024c229b8262abb96d447c0fc1b97">OnHide</a>()</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        super.OnHide();</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    }</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ad8f7d24b92632ad273cc5ec834e6a914">   67</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ad8f7d24b92632ad273cc5ec834e6a914">IsParentTab</a>()</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a1745568b31eef282f2a750617565f52b">   72</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a1745568b31eef282f2a750617565f52b">SetView</a>()</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    }</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#affafcd9e4634cc0347c2f0a6dcd09823">   77</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#affafcd9e4634cc0347c2f0a6dcd09823">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>    </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a77fff6264dd5fd37948bdb4d0d84c638">   82</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a77fff6264dd5fd37948bdb4d0d84c638">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a9edd1f00a95fa1732dc7852f30703bd2">   87</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a9edd1f00a95fa1732dc7852f30703bd2">OnBackButtonClick</a>()</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        super.OnBackButtonClick();</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno"><a class="line" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae92de5966a5b2130c0a69cdcee133a74">   92</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae92de5966a5b2130c0a69cdcee133a74">IgnoreBackButtonBase</a>()</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    {</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>};</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d5/df1/class_expansion_book_menu_tab_notes_controller.html">   98</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d5/df1/class_expansion_book_menu_tab_notes_controller.html">ExpansionBookMenuTabNotesController</a>: ExpansionViewController </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>{</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>};</div>
<div class="ttc" id="aclass_expansion_book_menu_html"><div class="ttname"><a href="../../dc/de1/class_expansion_book_menu.html">ExpansionBookMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d80/expansionbookmenu_8c_source.html#l00013">expansionbookmenu.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_base_html"><div class="ttname"><a href="../../dd/df2/class_expansion_book_menu_tab_base.html">ExpansionBookMenuTabBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d81/expansionbookmenutabbase_8c_source.html#l00013">expansionbookmenutabbase.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_base_html_af262a87ec5c71aaf511222bcdfaebdaf"><div class="ttname"><a href="../../dd/df2/class_expansion_book_menu_tab_base.html#af262a87ec5c71aaf511222bcdfaebdaf">ExpansionBookMenuTabBase::m_BookMenu</a></div><div class="ttdeci">ref ExpansionBookMenu m_BookMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d81/expansionbookmenutabbase_8c_source.html#l00015">expansionbookmenutabbase.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_controller_html"><div class="ttname"><a href="../../d5/df1/class_expansion_book_menu_tab_notes_controller.html">ExpansionBookMenuTabNotesController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00098">expansionbookmenutabnotes.c:99</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html">ExpansionBookMenuTabNotes</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00013">expansionbookmenutabnotes.c:14</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_a06a5e8d8cbaec450004d53bc6847a6ba"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a06a5e8d8cbaec450004d53bc6847a6ba">ExpansionBookMenuTabNotes::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00032">expansionbookmenutabnotes.c:32</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_a0caceaf49ec326c29bd5004e9bc5df41"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a0caceaf49ec326c29bd5004e9bc5df41">ExpansionBookMenuTabNotes::m_NotesTabController</a></div><div class="ttdeci">ref ExpansionBookMenuTabNotesController m_NotesTabController</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00015">expansionbookmenutabnotes.c:15</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_a1745568b31eef282f2a750617565f52b"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a1745568b31eef282f2a750617565f52b">ExpansionBookMenuTabNotes::SetView</a></div><div class="ttdeci">void SetView()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00072">expansionbookmenutabnotes.c:72</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_a77fff6264dd5fd37948bdb4d0d84c638"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a77fff6264dd5fd37948bdb4d0d84c638">ExpansionBookMenuTabNotes::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00082">expansionbookmenutabnotes.c:82</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_a827024c229b8262abb96d447c0fc1b97"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a827024c229b8262abb96d447c0fc1b97">ExpansionBookMenuTabNotes::OnHide</a></div><div class="ttdeci">override void OnHide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00062">expansionbookmenutabnotes.c:62</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_a8e610a0107222c7f10e7805f880efff9"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a8e610a0107222c7f10e7805f880efff9">ExpansionBookMenuTabNotes::GetTabColor</a></div><div class="ttdeci">override int GetTabColor()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00047">expansionbookmenutabnotes.c:47</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_a9bed6b4b4ef5df1312644e07f9061047"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a9bed6b4b4ef5df1312644e07f9061047">ExpansionBookMenuTabNotes::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00027">expansionbookmenutabnotes.c:27</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_a9edd1f00a95fa1732dc7852f30703bd2"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#a9edd1f00a95fa1732dc7852f30703bd2">ExpansionBookMenuTabNotes::OnBackButtonClick</a></div><div class="ttdeci">override void OnBackButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00087">expansionbookmenutabnotes.c:87</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_aa3e4f5e93d8039116e221651b0811dfe"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#aa3e4f5e93d8039116e221651b0811dfe">ExpansionBookMenuTabNotes::GetTabName</a></div><div class="ttdeci">override string GetTabName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00042">expansionbookmenutabnotes.c:42</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_aa83ee8136b3520423326ab4364a4e589"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#aa83ee8136b3520423326ab4364a4e589">ExpansionBookMenuTabNotes::GetTabIconName</a></div><div class="ttdeci">override string GetTabIconName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00037">expansionbookmenutabnotes.c:37</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_ad8f7d24b92632ad273cc5ec834e6a914"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ad8f7d24b92632ad273cc5ec834e6a914">ExpansionBookMenuTabNotes::IsParentTab</a></div><div class="ttdeci">override bool IsParentTab()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00067">expansionbookmenutabnotes.c:67</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_ae3457b90febfe56ad3b3a4f3a7f855a8"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae3457b90febfe56ad3b3a4f3a7f855a8">ExpansionBookMenuTabNotes::CanShow</a></div><div class="ttdeci">override bool CanShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00052">expansionbookmenutabnotes.c:52</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_ae6dc2b29b2b665b5525ad14f67fd0b12"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae6dc2b29b2b665b5525ad14f67fd0b12">ExpansionBookMenuTabNotes::OnShow</a></div><div class="ttdeci">override void OnShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00057">expansionbookmenutabnotes.c:57</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_ae92de5966a5b2130c0a69cdcee133a74"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#ae92de5966a5b2130c0a69cdcee133a74">ExpansionBookMenuTabNotes::IgnoreBackButtonBase</a></div><div class="ttdeci">override bool IgnoreBackButtonBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00092">expansionbookmenutabnotes.c:92</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_afd661e227cabd05468786dc3f9afa03b"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#afd661e227cabd05468786dc3f9afa03b">ExpansionBookMenuTabNotes::ExpansionBookMenuTabNotes</a></div><div class="ttdeci">void ExpansionBookMenuTabNotes(ExpansionBookMenu book_menu)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00017">expansionbookmenutabnotes.c:17</a></div></div>
<div class="ttc" id="aclass_expansion_book_menu_tab_notes_html_affafcd9e4634cc0347c2f0a6dcd09823"><div class="ttname"><a href="../../d8/da4/class_expansion_book_menu_tab_notes.html#affafcd9e4634cc0347c2f0a6dcd09823">ExpansionBookMenuTabNotes::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dcd/expansionbookmenutabnotes_8c_source.html#l00077">expansionbookmenutabnotes.c:77</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../dir_c42bf3830d2b96dfe174506f42af663f.html">booktabs</a></li><li class="navelem"><a class="el" href="../../dir_b8b44aa57f7ab2f7915612f19edd59ef.html">notes</a></li><li class="navelem"><a class="el" href="../../d4/dcd/expansionbookmenutabnotes_8c.html">expansionbookmenutabnotes.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
